curl --request GET \
--url https://staging.crossmint.com/api/2022-06-09/orders/{orderId}import requests
url = "https://staging.crossmint.com/api/2022-06-09/orders/{orderId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.crossmint.com/api/2022-06-09/orders/{orderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"lineItems": [
{
"chain": "abstract",
"delivery": {
"status": "failed",
"completedAt": "2024-01-15T10:30:00.000Z",
"failureReason": {
"code": "insufficient-funds",
"message": "<string>"
},
"rail": "ach-co",
"recipient": {
"email": "jsmith@example.com",
"locator": "<string>",
"walletAddress": "<string>",
"physicalAddress": {
"city": "<string>",
"country": "<string>",
"line1": "<string>",
"name": "<string>",
"postalCode": "<string>",
"line2": "",
"state": "<string>",
"stateOrRegion": "<string>"
}
}
},
"executionMode": "exact-in",
"maxSlippageBps": "<string>",
"metadata": {
"description": "<string>",
"imageUrl": "<string>",
"name": "<string>",
"collection": {
"description": "<string>",
"imageUrl": "<string>",
"name": "<string>"
}
},
"quote": {
"quantityRange": {
"lowerBound": "<string>",
"upperBound": "<string>"
},
"status": "expired",
"charges": {
"unit": {
"amount": "<string>",
"currency": "$mfer"
},
"crossmintFees": {
"amount": "<string>",
"currency": "$mfer"
},
"fees": {
"amount": "<string>",
"currency": "$mfer",
"type": "exact"
},
"gas": {
"amount": "<string>",
"currency": "$mfer"
},
"networkFee": {
"amount": "<string>",
"currency": "$mfer"
},
"salesTax": {
"amount": "<string>",
"currency": "$mfer"
},
"shipping": {
"amount": "<string>",
"currency": "$mfer"
}
},
"totalPrice": {
"amount": "<string>",
"currency": "$mfer"
},
"unavailabilityReason": {
"code": "do",
"message": "<string>"
}
},
"callData": {},
"executionParams": {}
}
],
"locale": "Klingon",
"orderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment": {
"currency": "$mfer",
"method": "abstract",
"status": "awaiting-deposit-instructions",
"failureReason": {
"code": "<string>",
"category": "authorization_decline",
"developerMessage": "<string>",
"message": "<string>",
"retryPolicy": "complete_authentication"
},
"payer": {
"deviceId": "<string>",
"paymentMethodId": "<string>"
},
"preparation": {
"chain": "abstract",
"payerAddress": "<string>",
"serializedTransaction": "<string>",
"transactionParameters": {
"amount": "<string>",
"memo": "<string>"
}
},
"receiptEmail": "jsmith@example.com",
"received": {
"amount": "<string>",
"chain": "abstract",
"currency": "$mfer",
"txId": "<string>"
},
"refunded": {
"amount": "<string>",
"chain": "abstract",
"currency": "$mfer",
"txId": "<string>"
}
},
"phase": "completed",
"quote": {
"status": "all-line-items-unavailable",
"expiresAt": "2024-01-15T10:30:00.000Z",
"quotedAt": "2024-01-15T10:30:00.000Z",
"totalPrice": {
"amount": "<string>",
"currency": "$mfer"
}
},
"legal": {
"requirements": [
{
"display": "show-checkbox",
"type": "crossmint-privacy-policy",
"url": "<string>"
}
],
"shownBy": "crossmint"
},
"metadata": {}
}{
"error": true,
"message": "<string>",
"code": "<string>"
}{
"error": true,
"message": "<string>",
"code": "<string>"
}{
"error": true,
"message": "<string>",
"code": "<string>"
}{
"error": true,
"message": "<string>",
"code": "<string>"
}{
"error": true,
"message": "<string>",
"code": "<string>"
}Get Order
Retrieves an onramp order by its ID. Use this endpoint to poll the order and track its progress through the onramp flow: KYC, recipient verification (for external wallets), payment, and delivery. Read payment.status to determine the next action for the buyer.
Authentication: Use either a server-side API key with the orders.read scope, or the clientSecret returned when the order was created, passed as an Authorization header.
Path Parameters
Response
Order found successfully
- Option 1
- Option 2
Show child attributes
Show child attributes
Locale for the checkout, in IETF BCP 47. It impacts the email receipt language. Ensure your UI is set to the same language as specified here. Throws an error if passed an invalid language.
Klingon, de-DE, en-US, es-ES, fr-FR, it-IT, ja-JP, ko-KR, pt-PT, ru-RU, th-TH, tr-TR, uk-UA, vi-VN, zh-CN, zh-TW ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Show child attributes
Show child attributes
completed, delivery, payment, quote Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?

